#
# Conditional build:
%bcond_without	static_libs	# stqatic library

Summary:	Basic API for running protocol decoders
Summary(pl.UTF-8):	Podstawowe API do uruchamiana dekoderów protokołów
Name:		libsigrokdecode
Version:	0.5.3
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	https://sigrok.org/download/source/libsigrokdecode/%{name}-%{version}.tar.gz
# Source0-md5:	7ba4ed4ef1f06ae96979751e096c2821
URL:		https://sigrok.org/wiki/Libsigrokdecode
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
# for unit tests
#BuildRequires:	check >= 0.9.4
BuildRequires:	doxygen
BuildRequires:	gcc >= 6:4.0
BuildRequires:	glib2-devel >= 1:2.34.0
BuildRequires:	graphviz
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
Requires:	glib2 >= 1:2.34.0
Requires:	python3-modules >= 1:3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsigrokdecode is a shared library written in C which provides the
basic API for running sigrok protocol decoders. The protocol decoders
themselves are written in Python.

%description -l pl.UTF-8
libsigrokdecode to napisana w C biblioteka współdzielona
udostępniająca podstawowe API do uruchamiania dekoderów protokołów
sigrok. Same dekodery protokołów są napisane w Pythonie.

%package devel
Summary:	Development files for libsigrokdecode
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libsigrokdecode
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.34.0
Requires:	python3-devel >= 1:3.2

%description devel
This package contains the header files for developing applications
that use libsigrokdecode.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libsigrokdecode.

%package static
Summary:	Static libsigrokdecode library
Summary(pl.UTF-8):	Statyczna biblioteka libsigrokdecode
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsigrokdecode library.

%description static -l pl.UTF-8
Statyczna biblioteka libsigrokdecode.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LDFLAGS="-lpython3 %{rpmldflags}" \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

# This builds documentation for the -doc package
doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsigrokdecode.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsigrokdecode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigrokdecode.so.4
%{_datadir}/libsigrokdecode

%files devel
%defattr(644,root,root,755)
%doc doxy/html-api/*
%attr(755,root,root) %{_libdir}/libsigrokdecode.so
%{_includedir}/libsigrokdecode
%{_pkgconfigdir}/libsigrokdecode.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigrokdecode.a
%endif
%changelog
* Thu Jul 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigrokdecode.git;a=log;h=master

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 5e72811
- updated to 0.5.3

* Thu Oct 31 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> dbefe7e
- up to 0.5.2

* Thu Oct 31 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 92efd27
- rel 3; fix build

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 95b6ac6
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 66af9bf
- up to 0.5.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f48748
- release 2 (by relup.sh)

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> f4836bd
- updated to 0.4.1

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a677c7
- python 3.6
- release 2 (by relup.sh)

* Fri Jul 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 36d1235
- updated dependencies

* Fri Apr 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cc68dd
- up to 0.4.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bb5e5ee
- release 6 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 85f4e13
- python3 rebuild
- release 5 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 3de4ce6
- rel 4

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c8f413
- release 3 (by relup.sh)

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 416863e
- added link patch (fixes parallel build)
- release 2

* Wed Jul 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 7088be0
- updated to 0.3.0 (note: new soname), finished packaging

* Wed Jul 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 454ce50
- pl, bconditional -static

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 944105a
- up to 0.2.0

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> 321e036
- more build deps

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> 1791678
- autodeps

